Subject: Re: PHP Apache module with PostgreSQL support
From: Jason Tishler <[email-masked]>
To: Andreas <[email-masked]>
Cc: [email-masked]
Date: Tue, 17 Sep 2002 09:14:47 -0400

Andreas,

On Tue, Sep 17, 2002 at 01:11:47PM +0200, Andreas wrote:
> > > Step [5] breaks with:
> > > ...
> > > checking for PostgreSQL support... yes
> > > configure: error: Cannot find libpq.so. Please specify correct
> > PostgreSQL installation path
> >
> > My WAG (without checking the source) is that you will need to patch
> > configure.in to deal with the Cygwin platform.
> 
> Thank you!

You are welcome, but I only stated the obvious above.

> Is this something different? (I did the similar with pgsql before I
> installed pgsql from source.) The output of the above line is:
> ...
> patching file 'php-4.2.0-1/ext/pgsql/config.m4
> ...
> 
> libpq.so is mentioned in the config.m4.
> 
> Could you explain what should be patched in the configure.in script,
> please?

Then you may need to patch config.m4 instead (again, I have not checked
the source).  The bottom line is that under Cygwin the check for the
existence of the pq library must look for either libpq.a (i.e., import
library) or pq.dll (i.e., shared library).  Choose the one that
minimizes the patch.

Jason

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/